# $Revision: 1.52 $, $Date: 2001/10/06 08:16:33 $
%define mver 0.1
Summary:	Giram Is Really A Modeller
Summary(pl):	Giram - modeler 3D
Name:		giram
Version:	0.1.11
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Group(de):	X11/Applikationen/Grafik
Group(pl):	X11/Aplikacje/Grafika
Source0:	ftp://ftp.giram.org/pub/giram-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-3ds_acinclude.m4.patch
URL:		http://www.minet.net/giram/
Requires:	OpenGL
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	OpenGL-devel >= 3.1
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	Giram

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11

%description
Giram is going to be a modeller, mostly designed for the Persistence
Of Vision Ray-Tracer. For now, it isn't really powerful. But I hope it
will grow rather quickly.

%description -l pl
Giram bdzie narzdziem do modelowania zbudowanym gwnie do pracy z
POV-Ray'em. Na razie nie jest naprawd potny, ale ma nadziej, e
szybko si rozwinie.

%prep
%setup -q
%patch0 -p1

%build
gettextize --copy --force
aclocal
autoconf
automake -a -c
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%configure \
	--without-included-gettext

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Graphics

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc {AUTHORS,ChangeLog,NEWS,README,TODO}.gz
%attr(755,root,root) %{_bindir}/*

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plug-ins
%attr(755,root,root) %{_libexecdir}/giram/plug-ins/*

%{_applnkdir}/Graphics/%{name}.desktop

%{_sysconfdir}/%{name}
%{_mandir}/man1/*

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{mver}

%{_datadir}/%{name}/%{mver}/*.ppm
%attr(755,root,root) %{_datadir}/%{name}/%{mver}/user_install

%dir %{_datadir}/%{name}/%{mver}/modules
%attr(755,root,root) %{_datadir}/%{name}/%{mver}/modules/*.so
%attr(755,root,root) %{_datadir}/%{name}/%{mver}/modules/*.la

%{_datadir}/%{name}/%{mver}/color
%{_datadir}/%{name}/%{mver}/color_map
%{_datadir}/%{name}/%{mver}/finish
%{_datadir}/%{name}/%{mver}/normal
%{_datadir}/%{name}/%{mver}/pigment
%{_datadir}/%{name}/%{mver}/shape
%{_datadir}/%{name}/%{mver}/texture
%{_datadir}/%{name}/%{mver}/tips

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: giram.spec,v $
Revision 1.52  2001/10/06 08:16:33  kloczek
- added Giram to Obsoletesd,
- added full regenerate ac/am files,
- added 3ds_acinclude.m4 patch with move AM_PATH_LIB3DS macro to acinclude.m4.

Revision 1.51  2001/10/05 14:49:03  wrobell
- fixed file list

Revision 1.50  2001/10/05 13:31:14  wrobell
- ver 0.1.11

Revision 1.49  2001/09/14 10:33:16  ankry
- fixed source name (caps changed)
- updated URL to new release Version=0.1.10, Release=1

Revision 1.48  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.47  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.46  2001/03/01 02:30:07  kloczek
- regenerate all am/ac files for allow build in automake > 1.4 enviroment
  (automake, autoconf added to BuildRequires).

Revision 1.45  2001/03/01 02:11:40  kloczek
- relese 3: rebuild against gnome-libs linked with new audiofile.

Revision 1.44  2001/01/25 20:03:19  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.43  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/10/29 16:35:56  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.41  2000/08/10 10:05:56  kloczek
- updated to 0.1.7.

Revision 1.40  2000/07/14 00:00:36  kloczek
- release 2,
- recompiled on XFree86 4.0.1.

Revision 1.39  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.38  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.37  2000/06/09 05:03:55  kloczek
- updated to 0.1.6,
- added desktop file for Giram,
- BuildRequires: Mesa-devel changed to OpenGL-deve.

Revision 1.36  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.35  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.34  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.33  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.32  2000/03/28 10:58:00  arturs
typo

Revision 1.31  2000/03/25 02:49:23  arturs
- added %description -l pl

Revision 1.30  2000/02/14 00:54:48  kloczek
- updated to 0.1.5.

Revision 1.29  2000/01/28 02:33:05  kloczek
- release 3,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.28  2000/01/19 15:48:32  wiget
- fix building with Mesa 3.1

Revision 1.27  2000/01/19 13:31:53  kloczek
- release 2,
- build against Mesa 3.1.

Revision 1.26  1999/12/27 17:58:09  kloczek
- updated to 0.1.4,
- simplified %build and %install.

Revision 1.25  1999/08/26 17:43:29  baggins
- buildrequires gettext -> gettext-devel

Revision 1.24  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.23  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0.16-1]
- now package is FHS 2.0 compliant (dok moved to %{_defaultdocdir} and plugins
  to /usr/X11R6/lib/Giram/,
- recompiled on new rpm.

* Sun Apr 25 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.0.14-2]
- added BuildPrereq  rules,
- recompiled on new rpm.

* Tue Apr 13 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0.14-1]
- added Giram plug-ins to %files.

* Mon Jan 04 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0.9-1]
- first release in rpm package.
